
package de.thd.pms.controller;

import java.beans.JavaBean;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.hibernate.annotations.SQLInsert;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;



@JavaBean
@Controller
public class HomeController {
	private static Logger log = LogManager.getLogger(HomeController.class);

   
	@RequestMapping("/welcome")
	
    public ModelAndView home() {
		
		
		
    	log.info("Controller für die Methode welcome");
    	ModelAndView mv = new ModelAndView();
    	mv.addObject("title", "Herzlich Willkommen !");
    	mv.addObject("title2", "Umgeben von zahlreichen Wald- und Wiesenlandschaften\r\n" + 
    			"befindet sich unser Schleicherhof." );
    	mv.addObject("message", "Sie wohnen bei uns in einer herrlichen Einzelhofanlage abseits vom Straßenverkehr, die Kinder können auch einmal ohne Aufsicht toben, sie fühlen sich bei uns wie im Paradies." + 
    			"Für die Eltern beginnt ein erholsamer Ferienurlaub, einfach nur entspannen und erholen.\r\n" + 
    			"Wir bieten Ihnen eine ideale Abwechslung für Freizeitangebote und unzählige Ausflugsziele zu jeder Jahreszeit. Reitmöglichkeit auf Anfrage in der Nähe ca. 5 Min. zu Fuß.\r\n" + 
    			"\r\n" + 
    			"Stöbern Sie in den weiteren Seiten und lernen Sie Ihr Feriendomizil besser können.");
    	mv.setViewName("home");
    	return mv;
	}
	
	
   
   }
   
    


    	 